6.0.0-git
2019-03-24

[#13373] Mailer: Add Setting for TLS
Summary Mailer: Add Setting for TLS
Queue Horde Base
Queue Version 5.2.0
Type Enhancement
State Rejected
Priority 1. Low
Owners
Requester torben (at) dannhauer (dot) info
Created 2014-07-15 (1713 days ago)
Due
Updated 2014-08-15 (1682 days ago)
Assigned
Resolved 2014-07-15 (1713 days ago)
Milestone
Patch No

History
2014-08-15 06:06:09 Git Commit Comment #5 Reply to this comment
Changes have been made in Git (master):

commit 0e52d5b3e40615cff89ad7e58e5def473ef5bf5d
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Thu Aug 14 22:50:58 2014 -0600

     Documentation (Ticket #13373)

  horde/config/conf.xml |    3 +++
  1 files changed, 3 insertions(+), 0 deletions(-)

http://github.com/horde/horde/commit/0e52d5b3e40615cff89ad7e58e5def473ef5bf5d
2014-08-15 04:51:06 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 5f829b5e334b49ff6e320c4575fb1d0f09b1e587
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Thu Aug 14 22:50:58 2014 -0600

     Documentation (Ticket #13373)

  horde/config/conf.xml |    3 +++
  1 files changed, 3 insertions(+), 0 deletions(-)

http://github.com/horde/horde/commit/5f829b5e334b49ff6e320c4575fb1d0f09b1e587
2014-07-17 17:24:03 torben (at) dannhauer (dot) info Comment #3 Reply to this comment

[Show Quoted Text - 14 lines]
agreed. I was not aware of this behaviour, is it documented?

Thanks,
Torben

closed.
2014-07-15 19:00:38 Michael Slusarz Comment #2
State ⇒ Rejected
Priority ⇒ 1. Low
Reply to this comment
This is intentional.

Authentication *requires* TLS so there is no need to have any 
configuration for that.

Non-authenticated connections use TLS if available and fall-back to 
non-authenticated if not available.  But non-authenticated connections 
are deprecated so I see no need to support explicit non-secure 
connections here either.

Explicit secure configuration can be passed via the 'secure' 
parameter, but as noted above I see no reason to make the 
configuration more complicated for the 99% of people that should just 
use the default.
2014-07-15 14:19:25 torben (at) dannhauer (dot) info Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 2. Medium
Summary ⇒ Mailer: Add Setting for TLS
Queue ⇒ Horde Base
Milestone ⇒
Patch ⇒ No
Reply to this comment
It is not possible to control whether the horde mailer should access 
the SMTP server via TLS or not.

Since some servers are configured to refuse plaintext settings, it is 
important to control whther to use TLS or not.

Thanks!

Torben

Saved Queries